# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "cynic"
version = "0.13.0"
authors = ["Graeme Coupar <graeme@polyandglot.dev>"]
description = "A GraphQL query builder & data mapper for Rust"
homepage = "https://cynic-rs.dev"
documentation = "https://docs.rs/cynic"
readme = "../README.md"
keywords = ["graphql", "client", "api"]
license = "MPL-2.0"
repository = "https://github.com/obmarg/cynic"
[package.metadata.docs.rs]
features = ["all"]
rustdoc-args = ["--cfg", "docsrs"]
[dependencies.chrono]
version = "0.4.11"
optional = true

[dependencies.cynic-proc-macros]
version = "0.13.0"

[dependencies.json-decode]
version = "0.5.0"

[dependencies.reqwest]
version = "0.11"
features = ["json"]
optional = true

[dependencies.serde]
version = "1.0.104"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.surf]
version = "2.1"
optional = true
default-features = false

[dependencies.thiserror]
version = "1.0.20"
[dev-dependencies.assert_matches]
version = "1.4"

[dev-dependencies.insta]
version = "1.5"

[dev-dependencies.maplit]
version = "1.0.2"

[features]
all = ["surf", "reqwest", "reqwest-blocking"]
default = []
reqwest-blocking = ["reqwest/blocking"]
surf-curl-client = ["surf/curl-client"]
surf-encoding = ["surf/encoding"]
surf-h1-client = ["surf/h1-client"]
surf-middleware-logger = ["surf/middleware-logger"]
surf-wasm-client = ["surf/wasm-client"]
